UpdateAutoScalingGroup
UpdateAutoScalingGroup
PUT
/zstack/v1/autoscaling/groups/{uuid}/actionsOperation ID
UpdateAutoScalingGroupSince
3.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe resource UUID.
Body Fields
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
minResourceSizeIntegerOptional. The minimum number of VM instances in the auto scaling group.
maxResourceSizeIntegerOptional. The maximum number of VM instances in the auto scaling group.
removalPolicyStringOptional. The policy for removing a VM instance. The oldest and newest VM instances take precedence.
